-- Nubia 4UC
-- Author: pineappledan
-- DateCreated: 12/11/2018
--------------------------------------------------------------
include("FLuaVector.lua")

local eCivilizationNubia = GameInfoTypes.CIVILIZATION_MC_LITE_NUBIA
local eMedjay = GameInfoTypes.PROMOTION_TEMPLE_GUARD
local eMedjayDummyBuilding = GameInfoTypes.BUILDING_D_FOR_MEDJAY
local eMedjayDummyPolicy = GameInfoTypes.POLICY_NUBIA_DUMMY
local fGameSpeedModifier = GameInfo.GameSpeeds[ Game.GetGameSpeedType() ].GoldPercent / 100

--Adds dummy policy to all civs, unlocking Medjay as mercenaries
--[[
function MUCfVPcheck()
	local isUsingMUCfVP = false

	for _, mod in pairs(Modding.GetActivatedMods()) do
		if (mod.ID == "259c3593-34dd-4fdd-bd7d-8ed67cc0797c") then
			print("4UC is loaded")
			isUsingMUCfVP = true
			break
		end
    end
	return isUsingMUCfVP
end

function NubiaMercenaries()

	if MUCfVPcheck == false then return end

	if Game.IsCivEverActive(eCivilizationNubia) then
		print("Nubian Medjay for everyone!")
		for iPlayerLoop = 0, GameDefines.MAX_MAJOR_CIVS - 1, 1 do
			local pPlayer = Players[iPlayerLoop]
            pPlayer:GrantPolicy(GameInfoTypes.POLICY_NUBIA_DUMMY, true)
		end
	end
end
NubiaMercenaries() 
]]--

function NubiaMercenaries(iPlayer)

	--Grants Medjay to Nubia automatically 
	local pPlayer = Players[iPlayer]
	if (pPlayer:IsAlive() and pPlayer:GetCivilizationType() == eCivilizationNubia) then 
		pPlayer:GrantPolicy(eMedjayDummyPolicy, true)
	--Grants Medjay to all civs with an embassy with Nubia 
		local pTeam = Teams[pPlayer:GetTeam()]
		for team in pairs(Teams) do
			local pOtherTeam = Teams[team]
			local iOtherPlayer = Teams[team]:GetLeaderID()
			if (pOtherTeam:IsEverAlive() and iOtherPlayer ~= iPlayer) then

	--if team has an embassy with Nubia, give them Medjay
				if pOtherTeam:HasEmbassyAtTeam(pTeam:GetID()) then
					Players[iOtherPlayer]:GrantPolicy(eMedjayDummyPolicy, true)
				else

	--revoke use of medjay if team doesn't have embassy with Nubia
				Players[iOtherPlayer]:RevokePolicy(eMedjayDummyPolicy)
				end
			end
		end
	end
end

-- Gives Nubia 75 gold whenever a Medjay is purchased by anyone else
function MedjayPurchase(iPlayer, iCity, iUnit, bGold, bFaith)
	local pPurchasePlayer = Players[iPlayer] 
	if pPurchasePlayer and pPurchasePlayer:GetCivilizationType() == eCivilizationNubia then return end

	local pUnit = Players[iPlayer]:GetUnitByID(iUnit)

	if (pUnit:IsHasPromotion(eMedjay)) then
	
		for iPlayerLoop = 0, GameDefines.MAX_MAJOR_CIVS - 1 do
			local pPlayer = Players[iPlayerLoop]

			if pPlayer:IsAlive() and pPlayer:GetCivilizationType() == eCivilizationNubia then
				local iGold = math.floor(75 * fGameSpeedModifier)
				pPlayer:ChangeGold(iGold)
				
				if pPlayer:IsHuman() then
					local iCapital = pPlayer:GetCapitalCity()
					local iX, iY = iCapital:GetX(), iCapital:GetY()
					local vCityPosition = PositionCalculator(iX, iY)

					Events.AddPopupTextEvent(vCityPosition, "[COLOR_YIELD_GOLD]+"..iGold.."[ICON_GOLD][ENDCOLOR]", 1)

					pPlayer:AddNotification(NotificationTypes.NOTIFICATION_GENERIC,
						'Medjay mercenaries have been contracted abroad. You gain Gold.',
						'Medjay hired',
						iX, iY, iCapital:GetID())
				end
			end
		end
	end
end 

function TempleGuard(iPlayer)
	local pPlayer = Players[iPlayer]
	--Adds a dummy building to city if a Medjay is garrisoned there, provides a small amount of needs unhappiness reduction
	if (pPlayer:GetNumUnitPromotions(eMedjay)) == 0 then return end
	
	for city in pPlayer:Cities() do
		local pUnit = city:GetGarrisonedUnit()
		if (pUnit == nil) or (pUnit:IsDelayedDeath()) or not (pUnit:IsHasPromotion(eMedjay))  then
			city:SetNumRealBuilding(eMedjayDummyBuilding, 0)
		else
			city:SetNumRealBuilding(eMedjayDummyBuilding, 1)
		end
	end
end

function PositionCalculator(i1, i2)
	return HexToWorld(ToHexFromGrid(Vector2(i1, i2)))
end

if Game.IsCivEverActive(eCivilizationNubia) then
	for _, mod in pairs(Modding.GetActivatedMods()) do
		if (mod.ID == "259c3593-34dd-4fdd-bd7d-8ed67cc0797c") then
			print("4UC Nubia is loaded")
			GameEvents.PlayerDoTurn.Add(NubiaMercenaries)
			GameEvents.CityTrained.Add(MedjayPurchase)
			GameEvents.PlayerDoTurn.Add(TempleGuard)
		break end
    end
end