UPDATE CustomModOptions SET	Value = 1 WHERE	Name = 'EVENTS_TILE_IMPROVEMENTS';
UPDATE CustomModOptions SET	Value = 1 WHERE	Name = 'YIELD_MODIFIER_FROM_UNITS';
--==========================================================================================================================	
-- CIVILIZATION
--==========================================================================================================================
INSERT INTO Civilization_Start_Region_Avoid
	(CivilizationType, RegionType)
VALUES
	('CIVILIZATION_MC_LITE_NUBIA', 'REGION_TUNDRA');
--==========================================================================================================================	
-- IMPROVEMENTS
--==========================================================================================================================
INSERT INTO Policy_ImprovementYieldChanges
(PolicyType, ImprovementType, YieldType, Yield)
SELECT PolicyType, 'IMPROVEMENT_MC_LITE_NUBIAN_ROYAL_PYRAMID', YieldType, Yield
FROM Policy_ImprovementYieldChanges WHERE ImprovementType = 'IMPROVEMENT_ENCAMPMENT_SHOSHONE';
	
INSERT INTO Improvement_YieldPerEra (ImprovementType, YieldType, Yield)
SELECT 'IMPROVEMENT_MC_LITE_NUBIAN_ROYAL_PYRAMID', 'YIELD_CULTURE', 1 UNION ALL
SELECT 'IMPROVEMENT_MC_LITE_NUBIAN_ROYAL_PYRAMID', 'YIELD_FAITH', 1;

INSERT INTO Improvement_TechYieldChanges
	(ImprovementType, TechType, YieldType, Yield)
VALUES
	('IMPROVEMENT_MC_LITE_NUBIAN_ROYAL_PYRAMID', 'TECH_MATHEMATICS', 'YIELD_GOLD', 1),
	('IMPROVEMENT_MC_LITE_NUBIAN_ROYAL_PYRAMID', 'TECH_PHYSICS', 'YIELD_GOLD', 1),
	('IMPROVEMENT_MC_LITE_NUBIAN_ROYAL_PYRAMID', 'TECH_ARCHITECTURE', 'YIELD_GOLD', 1),
	('IMPROVEMENT_MC_LITE_NUBIAN_ROYAL_PYRAMID', 'TECH_ARCHITECTURE', 'YIELD_CULTURE', 1),
	('IMPROVEMENT_MC_LITE_NUBIAN_ROYAL_PYRAMID', 'TECH_ARCHAEOLOGY', 'YIELD_CULTURE', 3);
	
INSERT INTO BuildFeatures	
			(BuildType, 							FeatureType, PrereqTech, Time, Production, Remove)
SELECT		'BUILD_MC_LITE_NUBIAN_ROYAL_PYRAMID',	FeatureType, PrereqTech, Time, Production, Remove
FROM BuildFeatures WHERE BuildType = 'BUILD_CHATEAU';
--==========================================================================================================================	
-- TRAITS
--==========================================================================================================================
INSERT INTO Trait_UnitCombatProductionCostModifiers
		(TraitType, 		UnitCombatType, 		CostModifier, 	IsGoldenAgeOnly)
VALUES	('TRAIT_TA_SETI', 	'UNITCOMBAT_ARCHER',	-15, 			0);
--==========================================================================================================================	
-- PROMOTIONS
--==========================================================================================================================	
INSERT INTO UnitPromotions 
		(Type, 						Description, 						Help, 									Sound, 				CannotBeChosen, PortraitIndex, 	IconAtlas, 					PediaType, 			PediaEntry, 						FriendlyLandsModifier)
VALUES	('PROMOTION_NUBIA_TASETI', 	'TXT_KEY_PROMOTION_NUBIA_TASETI', 	'TXT_KEY_PROMOTION_NUBIA_TASETI_HELP', 	'AS2D_IF_LEVELUP', 	1, 				1, 				'NUBIA_PROMOTION_ATLAS', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_NUBIA_TASETI', 	0);
--------------------------------	
-- UnitPromotions_UnitCombats
--------------------------------
INSERT INTO UnitPromotions_UnitCombats
		(PromotionType, 			UnitCombatType)
VALUES	('PROMOTION_NUBIA_TASETI', 'UNITCOMBAT_MELEE'),
		('PROMOTION_NUBIA_TASETI', 'UNITCOMBAT_MOUNTED'),
		('PROMOTION_NUBIA_TASETI', 'UNITCOMBAT_RECON'),
		('PROMOTION_NUBIA_TASETI', 'UNITCOMBAT_ARCHER'),
		('PROMOTION_NUBIA_TASETI', 'UNITCOMBAT_SIEGE'),
		('PROMOTION_NUBIA_TASETI', 'UNITCOMBAT_GUN'),
		('PROMOTION_NUBIA_TASETI', 'UNITCOMBAT_ARMOR'),
		('PROMOTION_NUBIA_TASETI', 'UNITCOMBAT_HELICOPTER');
--------------------------------	
-- Trait_FreePromotionUnitCombats
--------------------------------
INSERT INTO Trait_FreePromotionUnitCombats
		(TraitType, 		PromotionType, 				UnitCombatType)
VALUES	('TRAIT_TA_SETI', 	'PROMOTION_NUBIA_TASETI', 	'UNITCOMBAT_MELEE'),
		('TRAIT_TA_SETI', 	'PROMOTION_NUBIA_TASETI', 	'UNITCOMBAT_MOUNTED'),
		('TRAIT_TA_SETI', 	'PROMOTION_NUBIA_TASETI', 	'UNITCOMBAT_RECON'),
		('TRAIT_TA_SETI', 	'PROMOTION_NUBIA_TASETI', 	'UNITCOMBAT_ARCHER'),
		('TRAIT_TA_SETI', 	'PROMOTION_NUBIA_TASETI', 	'UNITCOMBAT_SIEGE'),
		('TRAIT_TA_SETI', 	'PROMOTION_NUBIA_TASETI', 	'UNITCOMBAT_GUN'),
		('TRAIT_TA_SETI', 	'PROMOTION_NUBIA_TASETI', 	'UNITCOMBAT_ARMOR'),
		('TRAIT_TA_SETI', 	'PROMOTION_NUBIA_TASETI', 	'UNITCOMBAT_HELICOPTER');
--------------------------------	
-- UnitPromotions_GarrisonYield
--------------------------------
INSERT INTO	UnitPromotions_YieldChanges
			(PromotionType, 			YieldType,				Yield)
VALUES		('PROMOTION_NUBIA_TASETI',	'YIELD_PRODUCTION',		2);
--------------------------------	
-- UnitPromotions_YieldModifiers
--------------------------------
INSERT INTO	UnitPromotions_YieldModifiers
			(PromotionType, 			YieldType,				Yield)
VALUES		('PROMOTION_NUBIA_TASETI',	'YIELD_PRODUCTION',		10);